Page MenuHomeFreeBSD

devel/aarch64-none-elf-gcc: Unbreak on arm64
ClosedPublic

Authored by manu on Aug 16 2018, 10:58 AM.

Details

Reviewers
jhb
kan
Summary

The plugins ae not built on arm64.
While we might want them in the future, we also need gcc on this platform
as it's the compiler used for u-boot.

Test Plan

Compiled/installed gcc + compile u-boot for pine64-lts and tested it on the board.
Poudriere ok on amd64

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18847
Build 18507: arc lint + arc unit

Event Timeline

manu created this revision.Aug 16 2018, 10:58 AM
jhb added inline comments.Aug 16 2018, 12:01 PM
devel/aarch64-none-elf-gcc/pkg-plist
63

Does this break check-plist when built on amd64 though? (e.g. using poudriere testport) If so, the better way to fix this is to add a new PLIST_SUB for %%PLUGIN%% or the like and make it conditional on ARCH in the port Makefile.

manu added inline comments.Aug 16 2018, 12:06 PM
devel/aarch64-none-elf-gcc/pkg-plist
63

Yeah I didn't think enough before making the patch.
I'll update with your suggestion.

manu updated this revision to Diff 46769.Aug 16 2018, 1:18 PM
manu edited the test plan for this revision. (Show Details)

Use PLIST_SUB for plugins

manu marked an inline comment as done.Aug 16 2018, 1:18 PM
jhb added a comment.Aug 18 2018, 2:40 PM

This looks ok to me, but I'm not a ports committer so I can't approve it. :)

Do you know if we will need to exclude the plugins for the various devel/{amd64,i386,aarch64,mips,mips64,powerpc64,sparc64}-gcc pkg-plist files as well? That is, do they build cleanly now on arm64? Removing BROKEN_aarch64 from powerpc64-gcc/Makefile means all those packages will try to build on the next aarch64 package run.

manu added a comment.Aug 18 2018, 3:18 PM
In D16743#357090, @jhb wrote:

This looks ok to me, but I'm not a ports committer so I can't approve it. :)
Do you know if we will need to exclude the plugins for the various devel/{amd64,i386,aarch64,mips,mips64,powerpc64,sparc64}-gcc pkg-plist files as well? That is, do they build cleanly now on arm64? Removing BROKEN_aarch64 from powerpc64-gcc/Makefile means all those packages will try to build on the next aarch64 package run.

Ah right, I just assumed that it was marked broken twice, I’ll run a poudriere on my aarch64 box when I get home and properly mark/fix the broken ones

manu updated this revision to Diff 46921.Aug 19 2018, 11:03 AM

Update powerpc-gcc plist too

manu added a comment.Aug 19 2018, 11:04 AM
In D16743#357113, @manu wrote:
In D16743#357090, @jhb wrote:

This looks ok to me, but I'm not a ports committer so I can't approve it. :)
Do you know if we will need to exclude the plugins for the various devel/{amd64,i386,aarch64,mips,mips64,powerpc64,sparc64}-gcc pkg-plist files as well? That is, do they build cleanly now on arm64? Removing BROKEN_aarch64 from powerpc64-gcc/Makefile means all those packages will try to build on the next aarch64 package run.

Ah right, I just assumed that it was marked broken twice, I’ll run a poudriere on my aarch64 box when I get home and properly mark/fix the broken ones

All ports are explicitly marked broken for aarch64, but the powerpc-gcc ports needs an updated plist.
I'll see later for other ports but now everything either compile or is skipped

jhb accepted this revision.Aug 19 2018, 1:23 PM

Thanks. This looks perfect to me.

This revision is now accepted and ready to land.Aug 19 2018, 1:23 PM
kan accepted this revision.Aug 24 2018, 4:39 PM
manu closed this revision.Aug 27 2018, 2:46 PM

Commited as r478209.